<?php

namespace app\controllers;

use Yii;
use app\models\User; use app\models\Permiso;
use app\models\UserSearch;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * UserController implements the CRUD actions for User model.
 */
class UserController extends Controller
{
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['post'],
                ],
            ],
        ];
    }

    /**
     * Lists all User models.
     * @return mixed
     */
    public function actionIndex()
    {
        $searchModel = new UserSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);

        return $this->render('index', [
            'searchModel' => $searchModel,
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single User model.
     * @param integer $id
     * @return mixed
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new User model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return mixed
     */
    public function actionCreate()
    {
        $model = new User();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->idusuario]);
        } else {
            return $this->render('create', [
                'model' => $model,
            ]);
        }
    }

    /**
     * Updates an existing User model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id
     * @return mixed
     */
    public function actionUpdate($id)
    {
     $modelpermiso = new Permiso() ; $mensaje = "" ; $error = "" ;
     $query = Permiso::find()->where(['idusuario'=>$id]) ;
     $permisos = new \yii\data\ActiveDataProvider(['query'=>$query]) ;
     
     $model = $this->findModel($id);
   

        if ($model->load(Yii::$app->request->post()) ) {
            
           if(Yii::$app->request->post('submit_3')==='submit_3' ) {        
            
            $modelpermiso->load(Yii::$app->request->post()) ;
            $query = Permiso::find()->where(['idusuario'=>$id,'idrol'=>$modelpermiso->idrol]) ;
            if ($query->count()==0) {$nuevo = new Permiso() ; $nuevo->idusuario = $id; $nuevo->idrol=$modelpermiso->idrol;
               $nuevo->save() ; $mensaje = 'se agrego rol correctamente' ;}
            else {$mensaje = 'Este rol ya esta asignadao' ;}
             $query = Permiso::find()->where(['idusuario'=>$id]) ;
             $permisos = new \yii\data\ActiveDataProvider(['query'=>$query]) ;
           }
           
           
           if(Yii::$app->request->post('submit_1')==='submit_1' ) {        
            if ($model->save()) {$mensaje = $mensaje.' Se grabo correctamente' ;}
            else {$mensaje = 'No se pudo grabar' ;}
           }
            
            
            
            
        }
 if ($error   != "") {Yii::$app->session->setFlash('danger',$error)  ; }          
 if ($mensaje != "") {Yii::$app->session->setFlash('info',$mensaje)  ; }         
    return $this->render('update', [
        'model' => $model,'permisos'=>$permisos ,
        'modelpermiso'=>$modelpermiso,
    ]);
    
    }

    /**
     * Deletes an existing User model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param integer $id
     * @return mixed
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

 public function actionDeleterol($idpermiso,$idusuario)
    {
     $modelpermiso = new Permiso() ; $mensaje = "" ; $error = "" ;
     
    // $id = $this->findModel($idusuario);
     
     $busca = Permiso::findOne($idpermiso)->delete() ;
     $query = Permiso::find()->where(['idusuario'=>$idusuario]) ;
     $permisos = new \yii\data\ActiveDataProvider(['query'=>$query]) ;
     
       return $this->redirect(['update', 
        'id' => $idusuario,
    ]);
    }    
    
    /**
     * Finds the User model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param integer $id
     * @return User the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = User::findOne($id)) !== null) {
            return $model;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }
}
