<?php
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;
USE yii\web\CWebUser;

/* @var $this \yii\web\View */
/* @var $content string */
AppAsset::register($this);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">

<head>
    <meta charset="<?= Yii::$app->charset ?>"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
 

</head>
<body>

     
<?php $this->beginBody() ?>
    <div class="wrap">
        <?php
            NavBar::begin([
             //   'brandLabel' => 'Surco Sistemas Web',
                'brandUrl' => Yii::$app->homeUrl,
                'options' => [
                    'class' => 'navbar-inverse navbar-fixed-top',
                ],
            ]);
            echo Nav::widget([
                'options' => ['class' => 'navbar-nav navbar-right'],

              'items' => [
                            ['label' => 'ARCHIVOS', 
                                  'items' => [
                                      ['label' => 'Usuarios', 'url' => ['/user/index']],
                                      ['label' => 'Roles', 'url' => ['/rol/index']],

                                              ], 
                            ],

                            ['label' => 'PARAM', 

                                'items' => [
                                        ['label' => 'Home', 'url' => ['/site/index']],
                                        ['label' => 'About', 'url' => ['/site/about']],
                                        ['label' => 'Egresado', 'url' => ['/egresado/index']],


                                        ['label' => 'Contact', 'url' => ['/site/contact']],

                                        Yii::$app->user->isGuest ?
                                        ['label' => 'Login', 'url' => ['/site/login']] :
                                        ['label' => 'Logout (' . Yii::$app->user->identity->username . ')','url' => ['/site/logout'],
                                         'linkOptions' => ['data-method' => 'post']],

                                            ], 
                              ], 

        
                         ],
                      'options' => ['class' =>'navbar-nav navbar-center'], // set this to nav-tab to get tab-styled navigation  
                
                           ]);
                          NavBar::end();
        ?>

        <div class="container">
            <?= Breadcrumbs::widget([
                'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
            ]) ?>
            <?= $content ?>
        </div>
    </div>
    
    <?php 
    
   // $flashMessages = Yii::$app->user->getFlash('success', "Form posted!");
    
    ?>


    <footer class="footer">
        <div class="container">
            <p class="pull-left">&copy; My Company <?= date('Y') ?></p>
            <p class="pull-right"><?= Yii::powered() ?></p>
        </div>
    </footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>
